Support » Plugin: Advanced Custom Fields » PHP Fatal error on update to version 5.7.11

  • Resolved jordanwebdev

    (@jordanwebdev)


    Hi, I get the following error when I try to activate ACF PRO, version 5.7.11

    Fatal error: Can’t use function return value in write context in /MYDOCROOT/plugins/advanced-custom-fields-pro/includes/local-fields.php on line 304

    Is this a known issue that is being resolved?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter jordanwebdev

    (@jordanwebdev)

    After updating to PHP version 7, the problem is resolved.

    Plugin Contributor Elliot Condon

    (@elliotcondon)

    Hi @jordanwebdev

    My apologies for the issues in version 5.7.11.
    I am confident we have found and fixed the issue.

    Can you please re-download the ACF PRO plugin files and test the issue?
    An easy way to re-download is to edit the main acf.php plugin file and change the version number ‘5.7.11’ down to ‘5.7.10’
    – please note the version number appears twice in this file and both will need to be changed
    – after this change is made, please update the plugin as per normal and it will update to 5.7.11 (including the new fix)

    Please note this is not the place for support, and we don’t always read this page.
    More info: https://wordpress.org/support/topic/acf-official-support/

    I had a problem with the 5.7.10-5.7.11 update too – it was throwing a fatal error in both admin and on site saying that the function acf_add_local_field_group was not defined. I did this same trick with the version number, and it came back to life, and I reinstalled the plugin.

    Now it says that it upgraded successfully, but if I check for updates again, it keeps suggesting the same update. I can see in the files that it is running 5.7.11, but WP seems convinced it’s still 5.7.10.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP Fatal error on update to version 5.7.11’ is closed to new replies.